	.reference	___bb_appstub_appstub
	.reference	___bb_audio_audio
	.reference	___bb_bank_bank
	.reference	___bb_bankstream_bankstream
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_d3d9max2d_d3d9max2d
	.reference	___bb_data_data
	.reference	___bb_directsoundaudio_directsoundaudio
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_event_event
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_font_font
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_map_map
	.reference	___bb_maxlua_maxlua
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_openalaudio_openalaudio
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_threads_threads
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectFree
	.reference	_bbObjectRegisterType
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.globl	___bb_imports_score
	.globl	__bb_TScore_Delete
	.globl	__bb_TScore_New
	.globl	__bb_TScore_add
	.globl	__bb_TScore_gHiScore
	.globl	__bb_TScore_gNewHiScore
	.globl	__bb_TScore_gScore
	.globl	__bb_TScore_reset
	.globl	_bb_TScore
	.text	
___bb_imports_score:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	cmpl	$0,_41
	je	_42
	mov	$0,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_42:
	movl	$1,_41
	movl	%ebp,4(%esp)
	movl	$_39,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_d3d9max2d_d3d9max2d
	call	___bb_data_data
	call	___bb_directsoundaudio_directsoundaudio
	call	___bb_dxgraphics_dxgraphics
	call	___bb_event_event
	call	___bb_eventqueue_eventqueue
	call	___bb_font_font
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_map_map
	call	___bb_maxlua_maxlua
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_openalaudio_openalaudio
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_threads_threads
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_35,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_37,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_38,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_TScore,(%esp)
	call	_bbObjectRegisterType
	mov	$0,%ebx
	jmp	_22
_22:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TScore_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_44,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_TScore,(%eax)
	movl	%ebp,4(%esp)
	movl	$_43,(%esp)
	calll	*_bbOnDebugEnterScope
	calll	*_bbOnDebugLeaveScope
	mov	$0,%ebx
	jmp	_25
_25:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TScore_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
_28:
	mov	$0,%eax
	jmp	_47
_47:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TScore_reset:
	push	%ebp
	mov	%esp,%ebp
	push	%ebx
	sub	$20,%esp
	movl	%ebp,4(%esp)
	movl	$_50,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_48,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,__bb_TScore_gScore
	movl	$_49,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$0,__bb_TScore_gNewHiScore
	mov	$0,%ebx
	jmp	_30
_30:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_TScore_add:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_57,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_51,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	addl	%eax,__bb_TScore_gScore
	movl	$_52,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TScore_gHiScore,%eax
	cmpl	%eax,__bb_TScore_gScore
	jle	_53
	movl	%ebp,4(%esp)
	movl	$_56,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_54,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	__bb_TScore_gScore,%eax
	movl	%eax,__bb_TScore_gHiScore
	movl	$_55,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$1,__bb_TScore_gNewHiScore
	calll	*_bbOnDebugLeaveScope
_53:
	mov	$0,%ebx
	jmp	_33
_33:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_41:
	.long	0
_40:
	.asciz	"score"
	.align	4
_39:
	.long	1
	.long	_40
	.long	0
_36:
	.asciz	"/Users/macbook/Downloads/grandprix_win/Imports/score.bmx"
	.align	4
_35:
	.long	_36
	.long	11
	.long	2
	.align	4
__bb_TScore_gScore:
	.long	0
	.align	4
_37:
	.long	_36
	.long	12
	.long	2
	.align	4
__bb_TScore_gHiScore:
	.long	0
	.align	4
_38:
	.long	_36
	.long	13
	.long	2
	.align	4
__bb_TScore_gNewHiScore:
	.long	0
_8:
	.asciz	"TScore"
_9:
	.asciz	"SCORE_PER_SECOND"
_10:
	.asciz	"i"
	.align	4
_11:
	.long	_bbStringClass
	.long	2147483646
	.long	2
	.short	49,48
_12:
	.asciz	"SCORE_100_METERS"
	.align	4
_13:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	49
_14:
	.asciz	"SCORE_OVERTAKING"
	.align	4
_15:
	.long	_bbStringClass
	.long	2147483646
	.long	1
	.short	53
_16:
	.asciz	"New"
_17:
	.asciz	"()i"
_18:
	.asciz	"Delete"
_19:
	.asciz	"reset"
_20:
	.asciz	"add"
_21:
	.asciz	"(i)i"
	.align	4
_7:
	.long	2
	.long	_8
	.long	1
	.long	_9
	.long	_10
	.long	_11
	.long	1
	.long	_12
	.long	_10
	.long	_13
	.long	1
	.long	_14
	.long	_10
	.long	_15
	.long	6
	.long	_16
	.long	_17
	.long	16
	.long	6
	.long	_18
	.long	_17
	.long	20
	.long	7
	.long	_19
	.long	_17
	.long	48
	.long	7
	.long	_20
	.long	_21
	.long	52
	.long	0
	.align	4
_bb_TScore:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_7
	.long	8
	.long	__bb_TScore_New
	.long	__bb_TScore_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_TScore_reset
	.long	__bb_TScore_add
_45:
	.asciz	"Self"
_46:
	.asciz	":TScore"
	.align	4
_44:
	.long	1
	.long	_16
	.long	2
	.long	_45
	.long	_46
	.long	-4
	.long	0
	.align	4
_43:
	.long	3
	.long	0
	.long	0
	.align	4
_50:
	.long	1
	.long	_19
	.long	0
	.align	4
_48:
	.long	_36
	.long	16
	.long	3
	.align	4
_49:
	.long	_36
	.long	17
	.long	3
_58:
	.asciz	"pPoints"
	.align	4
_57:
	.long	1
	.long	_20
	.long	2
	.long	_58
	.long	_10
	.long	-4
	.long	0
	.align	4
_51:
	.long	_36
	.long	21
	.long	3
	.align	4
_52:
	.long	_36
	.long	22
	.long	3
	.align	4
_56:
	.long	3
	.long	0
	.long	0
	.align	4
_54:
	.long	_36
	.long	23
	.long	4
	.align	4
_55:
	.long	_36
	.long	24
	.long	4
